Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.ses
Class SESRForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster
              kieker.tools.tslib.forecast.ses.SESRForecaster

All Implemented Interfaces:
  IForecaster<Double>

    public class SESRForecaster

extends AbstractRForecaster

This is one of the forecasters used in the research paper on Self-adaptive workload classification and forecasting for proactive resource provisioning (http://dx.doi.org/10.1002/cpe.3224), authored by Herbst et al.

Since:
  1.10
Author:
  Nikolas Herbst Generalization of MA by using weights according to the exponential function to give higher weight to more recent values. 1st step: estimation of parameters for weights/exp. function 2nd step: calculation of weighted averages as point forecast

Constructor Summary
`SESRForecaster(ITimeSeries<Double> historyTimeseries)`
`SESRForecaster(ITimeSeries<Double> historyTimeseries, int confidenceLevel)`

Method Summary

Methods inherited from class kieker.tools.tslib.forecast.AbstractRForecaster
`forecast, removeNullValues`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SESRForecaster

    public SESRForecaster(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo

### SESRForecaster

    public SESRForecaster(ITimeSeries<Double> historyTimeseries,
                          int confidenceLevel)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo
  `confidenceLevel` - confidenceLevel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net